//Source file: CopyMessageListener.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the CopyMessage activity object.<BR>
 *
 */
public interface CopyMessageListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the copyMessageRes() method on 
    * the callback interface.
    *
    * @param  copyMessageResEvent  Reference to a CopyMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCopyMessageResEvent(org.csapi.jr.se.mmm.CopyMessageResEvent copyMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the copyMessageErr() method on 
    * the callback interface.
    *
    * @param  copyMessageErrEvent  Reference to a CopyMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCopyMessageErrEvent(org.csapi.jr.se.mmm.CopyMessageErrEvent copyMessageErrEvent);


}
