//Source file: DeleteMessage.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a DeleteMessage activity object.<BR>
 *
 */
public interface DeleteMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the DeleteMessage.
     *
     * @return  A reference to the Mailbox responsible for creation of the DeleteMessage.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a DeleteMessageListener which is interested in events generated by the DeleteMessage.
     *
     * @param  deleteMessageListener  A reference to the DeleteMessageListener which is to be added as
     *        a listener.
     */
    void addDeleteMessageListener(org.csapi.jr.se.mmm.DeleteMessageListener deleteMessageListener);

    /**
     * Removes a DeleteMessageListener which is no longer interested events generated by the DeleteMessage.
     *
     * @param  deleteMessageListener  A reference to the DeleteMessageListener which is to be removed as
     *        a listener.
     */
    void removeDeleteMessageListener(org.csapi.jr.se.mmm.DeleteMessageListener deleteMessageListener);

    /**
     * Invokes the deleteMessageReq() method on the Parlay Gateway.
     */
    void deleteMessageReq(
           java.lang.String                fromFolderID,
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
