//Source file: FolderInfoProperty.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Tagged Choice of Data Elements that specify the information properties of a folder.
 *
 */
public final class FolderInfoProperty implements java.io.Serializable {

    private FolderInfoPropertyName _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new FolderInfoProperty.
     * Tagged choice of data elements always have empty constructors
     */ 
    public FolderInfoProperty() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a FolderInfoPropertyName value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public FolderInfoPropertyName getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a FolderDateCreated
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getFolderDateCreated() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != FolderInfoPropertyName.MMM_FOLDER_DATE_CREATED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a FolderDateCreated
     * 
     * @param value a java.lang.String value
     */
    public void setFolderDateCreated(java.lang.String value) {
        _discriminator = FolderInfoPropertyName.MMM_FOLDER_DATE_CREATED;
        _object = value;
    }

    /**
     * This method returns a FolderDateChanged
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getFolderDateChanged() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != FolderInfoPropertyName.MMM_FOLDER_DATE_CHANGED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a FolderDateChanged
     * 
     * @param value a java.lang.String value
     */
    public void setFolderDateChanged(java.lang.String value) {
        _discriminator = FolderInfoPropertyName.MMM_FOLDER_DATE_CHANGED;
        _object = value;
    }

    /**
     * This method returns a FolderSize
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getFolderSize() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != FolderInfoPropertyName.MMM_FOLDER_SIZE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a FolderSize
     * 
     * @param value a int value
     */
    public void setFolderSize(int value) {
        _discriminator = FolderInfoPropertyName.MMM_FOLDER_SIZE;
        _object = new java.lang.Integer(value);
    }

    /**
     * This method returns a FolderNumberOfMessages
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getFolderNumberOfMessages() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != FolderInfoPropertyName.MMM_FOLDER_NUMBER_OF_MESSAGES) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a FolderNumberOfMessages
     * 
     * @param value a int value
     */
    public void setFolderNumberOfMessages(int value) {
        _discriminator = FolderInfoPropertyName.MMM_FOLDER_NUMBER_OF_MESSAGES;
        _object = new java.lang.Integer(value);
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a FolderInfoPropertyName value 
     */ 
    public void setUndefined(FolderInfoPropertyName discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof FolderInfoProperty)) {
            return false;
        } else {
            FolderInfoProperty folderInfoProperty= (FolderInfoProperty)o;
            if(!(this._object.equals(folderInfoProperty._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(folderInfoProperty._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // FolderInfoProperty

