//Source file: FolderInfoPropertyName.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines a specific folder information property name.
 *
 */
public final class FolderInfoPropertyName implements java.io.Serializable {

    private int _value;
    private static int _size = 5;
    private static FolderInfoPropertyName[] _array = new FolderInfoPropertyName[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private FolderInfoPropertyName(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * Undefined
     */
    public static final int _MMM_FOLDER_UNDEFINED =  0;

    /**
     * Undefined
     */
    public static final FolderInfoPropertyName MMM_FOLDER_UNDEFINED = new FolderInfoPropertyName(_MMM_FOLDER_UNDEFINED);

    /**
     * Indicates the date created. The application cannot modify this property.
     */
    public static final int _MMM_FOLDER_DATE_CREATED =  1;

    /**
     * Indicates the date created. The application cannot modify this property.
     */
    public static final FolderInfoPropertyName MMM_FOLDER_DATE_CREATED = new FolderInfoPropertyName(_MMM_FOLDER_DATE_CREATED);

    /**
     * Indicates the date last changed.  The application cannot modify this property.
     */
    public static final int _MMM_FOLDER_DATE_CHANGED =  2;

    /**
     * Indicates the date last changed.  The application cannot modify this property.
     */
    public static final FolderInfoPropertyName MMM_FOLDER_DATE_CHANGED = new FolderInfoPropertyName(_MMM_FOLDER_DATE_CHANGED);

    /**
     * Indicates the size of the Folder in Bytes.  The application cannot modify this property.
     */
    public static final int _MMM_FOLDER_SIZE =  3;

    /**
     * Indicates the size of the Folder in Bytes.  The application cannot modify this property.
     */
    public static final FolderInfoPropertyName MMM_FOLDER_SIZE = new FolderInfoPropertyName(_MMM_FOLDER_SIZE);

    /**
     * Indicates the number of messages in the Folder.  The application cannot modify this property.
     */
    public static final int _MMM_FOLDER_NUMBER_OF_MESSAGES =  4;

    /**
     * Indicates the number of messages in the Folder.  The application cannot modify this property.
     */
    public static final FolderInfoPropertyName MMM_FOLDER_NUMBER_OF_MESSAGES = new FolderInfoPropertyName(_MMM_FOLDER_NUMBER_OF_MESSAGES);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved FolderInfoPropertyName object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the FolderInfoPropertyName object
     */
    public String getValueText() {
        switch (_value) {
            case _MMM_FOLDER_UNDEFINED:
                return "MMM_FOLDER_UNDEFINED";
            case _MMM_FOLDER_DATE_CREATED:
                return "MMM_FOLDER_DATE_CREATED";
            case _MMM_FOLDER_DATE_CHANGED:
                return "MMM_FOLDER_DATE_CHANGED";
            case _MMM_FOLDER_SIZE:
                return "MMM_FOLDER_SIZE";
            case _MMM_FOLDER_NUMBER_OF_MESSAGES:
                return "MMM_FOLDER_NUMBER_OF_MESSAGES";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 4
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static FolderInfoPropertyName getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof FolderInfoPropertyName)) {
            return false;
        }
        FolderInfoPropertyName folderInfoPropertyName = (FolderInfoPropertyName) o; 
        if(!(this.getValue() == folderInfoPropertyName.getValue())) {
            return false;
        }
        if (this.hashCode() != folderInfoPropertyName.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // FolderInfoPropertyName

