//Source file: GetFolders.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetFolders activity object.<BR>
 *
 */
public interface GetFolders extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetFolders.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetFolders.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetFoldersListener which is interested in events generated by the GetFolders.
     *
     * @param  getFoldersListener  A reference to the GetFoldersListener which is to be added as
     *        a listener.
     */
    void addGetFoldersListener(org.csapi.jr.se.mmm.GetFoldersListener getFoldersListener);

    /**
     * Removes a GetFoldersListener which is no longer interested events generated by the GetFolders.
     *
     * @param  getFoldersListener  A reference to the GetFoldersListener which is to be removed as
     *        a listener.
     */
    void removeGetFoldersListener(org.csapi.jr.se.mmm.GetFoldersListener getFoldersListener);

    /**
     * Invokes the getFoldersReq() method on the Parlay Gateway.
     */
    void getFoldersReq(
           java.lang.String                folderID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException;
}
