//Source file: GetFoldersErrEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getFoldersErr() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetFoldersErrEvent extends java.util.EventObject {

    /**
     * Constructor for the GetFoldersErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetFoldersErrEvent(java.lang.Object source,
        java.lang.String                folderID,
        org.csapi.jr.se.mmm.MessagingError error,
        java.lang.String                errorDetails) {

        super(source);
      this.folderID = folderID;
      this.error = error;
      this.errorDetails = errorDetails;
 
    }

    java.lang.String                folderID;

    /**
     *  This method is used to retrieve the parameter value of 'folderID' passed up
     *  from the Gateway in it's call to the getFoldersErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'folderID' used on creation of this event.
     */
    public java.lang.String getFolderID() {

        return this.folderID;
    }
       
    org.csapi.jr.se.mmm.MessagingError error;

    /**
     *  This method is used to retrieve the parameter value of 'error' passed up
     *  from the Gateway in it's call to the getFoldersErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'error' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessagingError getError() {

        return this.error;
    }
       
    java.lang.String                errorDetails;

    /**
     *  This method is used to retrieve the parameter value of 'errorDetails' passed up
     *  from the Gateway in it's call to the getFoldersErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'errorDetails' used on creation of this event.
     */
    public java.lang.String getErrorDetails() {

        return this.errorDetails;
    }
       
}

