//Source file: GetFoldersResEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getFoldersRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetFoldersResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetFoldersResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetFoldersResEvent(java.lang.Object source,
        java.lang.String                folderID,
        java.lang.String[]              folderNames) {

        super(source);
      this.folderID = folderID;
      this.folderNames = folderNames;
 
    }

    java.lang.String                folderID;

    /**
     *  This method is used to retrieve the parameter value of 'folderID' passed up
     *  from the Gateway in it's call to the getFoldersRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'folderID' used on creation of this event.
     */
    public java.lang.String getFolderID() {

        return this.folderID;
    }
       
    java.lang.String[]              folderNames;

    /**
     *  This method is used to retrieve the parameter value of 'folderNames' passed up
     *  from the Gateway in it's call to the getFoldersRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'folderNames' used on creation of this event.
     */
    public java.lang.String[] getFolderNames() {

        return this.folderNames;
    }
       
}

