//Source file: GetFullMessageListener.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetFullMessage activity object.<BR>
 *
 */
public interface GetFullMessageListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getFullMessageRes() method on 
    * the callback interface.
    *
    * @param  getFullMessageResEvent  Reference to a GetFullMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetFullMessageResEvent(org.csapi.jr.se.mmm.GetFullMessageResEvent getFullMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the getFullMessageErr() method on 
    * the callback interface.
    *
    * @param  getFullMessageErrEvent  Reference to a GetFullMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetFullMessageErrEvent(org.csapi.jr.se.mmm.GetFullMessageErrEvent getFullMessageErrEvent);


}
