//Source file: GetMailboxInfoPropertiesResEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMailboxInfoPropertiesRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetMailboxInfoPropertiesResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMailboxInfoPropertiesResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMailboxInfoPropertiesResEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.MailboxInfoProperty[] returnedProperties) {

        super(source);
      this.returnedProperties = returnedProperties;
 
    }

    org.csapi.jr.se.mmm.MailboxInfoProperty[] returnedProperties;

    /**
     *  This method is used to retrieve the parameter value of 'returnedProperties' passed up
     *  from the Gateway in it's call to the getMailboxInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'returnedProperties' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MailboxInfoProperty[] getReturnedProperties() {

        return this.returnedProperties;
    }
       
}

