//Source file: GetMessageBodyPartsResEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageBodyPartsRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetMessageBodyPartsResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMessageBodyPartsResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMessageBodyPartsResEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.BodyPart[] bodyParts) {

        super(source);
      this.bodyParts = bodyParts;
 
    }

    org.csapi.jr.se.mmm.BodyPart[] bodyParts;

    /**
     *  This method is used to retrieve the parameter value of 'bodyParts' passed up
     *  from the Gateway in it's call to the getMessageBodyPartsRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'bodyParts' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.BodyPart[] getBodyParts() {

        return this.bodyParts;
    }
       
}

