//Source file: GetMessageHeaders.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetMessageHeaders activity object.<BR>
 *
 */
public interface GetMessageHeaders extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetMessageHeaders.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetMessageHeaders.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetMessageHeadersListener which is interested in events generated by the GetMessageHeaders.
     *
     * @param  getMessageHeadersListener  A reference to the GetMessageHeadersListener which is to be added as
     *        a listener.
     */
    void addGetMessageHeadersListener(org.csapi.jr.se.mmm.GetMessageHeadersListener getMessageHeadersListener);

    /**
     * Removes a GetMessageHeadersListener which is no longer interested events generated by the GetMessageHeaders.
     *
     * @param  getMessageHeadersListener  A reference to the GetMessageHeadersListener which is to be removed as
     *        a listener.
     */
    void removeGetMessageHeadersListener(org.csapi.jr.se.mmm.GetMessageHeadersListener getMessageHeadersListener);

    /**
     * Invokes the getMessageHeadersReq() method on the Parlay Gateway.
     */
    void getMessageHeadersReq(
           java.lang.String                folderID,
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
