//Source file: ListMessagesResEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the listMessagesRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ListMessagesResEvent extends java.util.EventObject {

    /**
     * Constructor for the ListMessagesResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ListMessagesResEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.MessageDescription[] messageList,
        org.csapi.jr.se.mmm.MailboxFolderStatusInformation mailboxStatusInfo,
        boolean                         _final) {

        super(source);
      this.messageList = messageList;
      this.mailboxStatusInfo = mailboxStatusInfo;
      this._final = _final;
 
    }

    org.csapi.jr.se.mmm.MessageDescription[] messageList;

    /**
     *  This method is used to retrieve the parameter value of 'messageList' passed up
     *  from the Gateway in it's call to the listMessagesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageList' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessageDescription[] getMessageList() {

        return this.messageList;
    }
       
    org.csapi.jr.se.mmm.MailboxFolderStatusInformation mailboxStatusInfo;

    /**
     *  This method is used to retrieve the parameter value of 'mailboxStatusInfo' passed up
     *  from the Gateway in it's call to the listMessagesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'mailboxStatusInfo' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MailboxFolderStatusInformation getMailboxStatusInfo() {

        return this.mailboxStatusInfo;
    }
       
    boolean                         _final;

    /**
     *  This method is used to retrieve the parameter value of 'final' passed up
     *  from the Gateway in it's call to the listMessagesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'final' used on creation of this event.
     */
    public boolean get_final() {

        return this._final;
    }
       
}

