//Source file: Mailbox.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a Mailbox.<BR>
 *
 */
public interface Mailbox extends org.csapi.jr.se.Service {

    /**
     * Adds a MailboxListener which is interested in events generated by the Mailbox.
     *
     * @param  mailboxListener  A reference to the MailboxListener which is to be added as
     *         a listener.
     */
    void addMailboxListener(org.csapi.jr.se.mmm.MailboxListener mailboxListener);

    /**
     * Removes a MailboxListener which is no longer interested in events generated by the Mailbox.
     *
     * @param  mailboxListener  A reference to the MailboxListener which is to be removed as
     *         a listener.
     */
    void removeMailboxListener(org.csapi.jr.se.mmm.MailboxListener mailboxListener);

    /**
     * Returns a reference to the MultiMediaMessagingManager responsible for creation of the Mailbox.
     *
     * @return  A reference to the MultiMediaMessagingManager responsible for creation of the Mailbox.
     */
    org.csapi.jr.se.mmm.MultiMediaMessagingManager getMultiMediaMessagingManager();

    /**
     * Invokes the close() method on the Parlay Gateway.
     */
    void close()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Creates a GetFullMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetFullMessage interface.
     */
    org.csapi.jr.se.mmm.GetFullMessage createGetFullMessage();

    /**
     * Creates a GetMessageContent object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetMessageContent interface.
     */
    org.csapi.jr.se.mmm.GetMessageContent createGetMessageContent();

    /**
     * Creates a GetMessageHeaders object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetMessageHeaders interface.
     */
    org.csapi.jr.se.mmm.GetMessageHeaders createGetMessageHeaders();

    /**
     * Creates a MoveFolder object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the MoveFolder interface.
     */
    org.csapi.jr.se.mmm.MoveFolder createMoveFolder();

    /**
     * Creates a MoveMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the MoveMessage interface.
     */
    org.csapi.jr.se.mmm.MoveMessage createMoveMessage();

    /**
     * Creates a GetFolderInfoProperties object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetFolderInfoProperties interface.
     */
    org.csapi.jr.se.mmm.GetFolderInfoProperties createGetFolderInfoProperties();

    /**
     * Creates a PutMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the PutMessage interface.
     */
    org.csapi.jr.se.mmm.PutMessage createPutMessage();

    /**
     * Creates a DeleteFolder object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the DeleteFolder interface.
     */
    org.csapi.jr.se.mmm.DeleteFolder createDeleteFolder();

    /**
     * Creates a CopyFolder object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the CopyFolder interface.
     */
    org.csapi.jr.se.mmm.CopyFolder createCopyFolder();

    /**
     * Creates a CreateFolder object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the CreateFolder interface.
     */
    org.csapi.jr.se.mmm.CreateFolder createCreateFolder();

    /**
     * Creates a CopyMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the CopyMessage interface.
     */
    org.csapi.jr.se.mmm.CopyMessage createCopyMessage();

    /**
     * Creates a DeleteMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the DeleteMessage interface.
     */
    org.csapi.jr.se.mmm.DeleteMessage createDeleteMessage();

    /**
     * Creates a ListMessageBodyParts object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the ListMessageBodyParts interface.
     */
    org.csapi.jr.se.mmm.ListMessageBodyParts createListMessageBodyParts();

    /**
     * Creates a SetMessageInfoProperties object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the SetMessageInfoProperties interface.
     */
    org.csapi.jr.se.mmm.SetMessageInfoProperties createSetMessageInfoProperties();

    /**
     * Creates a ListMessages object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the ListMessages interface.
     */
    org.csapi.jr.se.mmm.ListMessages createListMessages();

    /**
     * Creates a GetMailboxInfoProperties object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetMailboxInfoProperties interface.
     */
    org.csapi.jr.se.mmm.GetMailboxInfoProperties createGetMailboxInfoProperties();

    /**
     * Creates a GetMessageBodyParts object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetMessageBodyParts interface.
     */
    org.csapi.jr.se.mmm.GetMessageBodyParts createGetMessageBodyParts();

    /**
     * Creates a GetMessageInfoProperties object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetMessageInfoProperties interface.
     */
    org.csapi.jr.se.mmm.GetMessageInfoProperties createGetMessageInfoProperties();

    /**
     * Creates a GetFolders object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the GetFolders interface.
     */
    org.csapi.jr.se.mmm.GetFolders createGetFolders();

}
