//Source file: MailboxInfoPropertyName.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines a specific mailbox information property name.
 *
 */
public final class MailboxInfoPropertyName implements java.io.Serializable {

    private int _value;
    private static int _size = 5;
    private static MailboxInfoPropertyName[] _array = new MailboxInfoPropertyName[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private MailboxInfoPropertyName(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * Undefined
     */
    public static final int _MMM_MAILBOX_UNDEFINED =  0;

    /**
     * Undefined
     */
    public static final MailboxInfoPropertyName MMM_MAILBOX_UNDEFINED = new MailboxInfoPropertyName(_MMM_MAILBOX_UNDEFINED);

    /**
     * The owner of the mailbox.  The application cannot modify this property.
     */
    public static final int _MMM_MAILBOX_OWNER =  1;

    /**
     * The owner of the mailbox.  The application cannot modify this property.
     */
    public static final MailboxInfoPropertyName MMM_MAILBOX_OWNER = new MailboxInfoPropertyName(_MMM_MAILBOX_OWNER);

    /**
     * Indicates the date created.  The application cannot modify this property.
     */
    public static final int _MMM_MAILBOX_DATE_CREATED =  2;

    /**
     * Indicates the date created.  The application cannot modify this property.
     */
    public static final MailboxInfoPropertyName MMM_MAILBOX_DATE_CREATED = new MailboxInfoPropertyName(_MMM_MAILBOX_DATE_CREATED);

    /**
     * Indicates the date last changed.  The application cannot modify this property.
     */
    public static final int _MMM_MAILBOX_DATE_CHANGED =  3;

    /**
     * Indicates the date last changed.  The application cannot modify this property.
     */
    public static final MailboxInfoPropertyName MMM_MAILBOX_DATE_CHANGED = new MailboxInfoPropertyName(_MMM_MAILBOX_DATE_CHANGED);

    /**
     * Indicates the size of the Mailbox in Bytes.  The application cannot modify this property.
     */
    public static final int _MMM_MAILBOX_SIZE =  4;

    /**
     * Indicates the size of the Mailbox in Bytes.  The application cannot modify this property.
     */
    public static final MailboxInfoPropertyName MMM_MAILBOX_SIZE = new MailboxInfoPropertyName(_MMM_MAILBOX_SIZE);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved MailboxInfoPropertyName object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the MailboxInfoPropertyName object
     */
    public String getValueText() {
        switch (_value) {
            case _MMM_MAILBOX_UNDEFINED:
                return "MMM_MAILBOX_UNDEFINED";
            case _MMM_MAILBOX_OWNER:
                return "MMM_MAILBOX_OWNER";
            case _MMM_MAILBOX_DATE_CREATED:
                return "MMM_MAILBOX_DATE_CREATED";
            case _MMM_MAILBOX_DATE_CHANGED:
                return "MMM_MAILBOX_DATE_CHANGED";
            case _MMM_MAILBOX_SIZE:
                return "MMM_MAILBOX_SIZE";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 4
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static MailboxInfoPropertyName getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MailboxInfoPropertyName)) {
            return false;
        }
        MailboxInfoPropertyName mailboxInfoPropertyName = (MailboxInfoPropertyName) o; 
        if(!(this.getValue() == mailboxInfoPropertyName.getValue())) {
            return false;
        }
        if (this.hashCode() != mailboxInfoPropertyName.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MailboxInfoPropertyName

