//Source file: MessageInfoProperty.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Tagged Choice of Data Elements that specify the information properties of a message.
 *
 */
public final class MessageInfoProperty implements java.io.Serializable {

    private MessageInfoPropertyName _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MessageInfoProperty.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MessageInfoProperty() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MessageInfoPropertyName value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MessageInfoPropertyName getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a MessageDateCreated
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMessageDateCreated() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageInfoPropertyName.MMM_MESSAGE_DATE_CREATED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MessageDateCreated
     * 
     * @param value a java.lang.String value
     */
    public void setMessageDateCreated(java.lang.String value) {
        _discriminator = MessageInfoPropertyName.MMM_MESSAGE_DATE_CREATED;
        _object = value;
    }

    /**
     * This method returns a MessageDateReceived
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMessageDateReceived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageInfoPropertyName.MMM_MESSAGE_DATE_RECEIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MessageDateReceived
     * 
     * @param value a java.lang.String value
     */
    public void setMessageDateReceived(java.lang.String value) {
        _discriminator = MessageInfoPropertyName.MMM_MESSAGE_DATE_RECEIVED;
        _object = value;
    }

    /**
     * This method returns a MessageDateChanged
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMessageDateChanged() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageInfoPropertyName.MMM_MESSAGE_DATE_CHANGED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MessageDateChanged
     * 
     * @param value a java.lang.String value
     */
    public void setMessageDateChanged(java.lang.String value) {
        _discriminator = MessageInfoPropertyName.MMM_MESSAGE_DATE_CHANGED;
        _object = value;
    }

    /**
     * This method returns a MessageSize
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getMessageSize() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageInfoPropertyName.MMM_MESSAGE_SIZE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a MessageSize
     * 
     * @param value a int value
     */
    public void setMessageSize(int value) {
        _discriminator = MessageInfoPropertyName.MMM_MESSAGE_SIZE;
        _object = new java.lang.Integer(value);
    }

    /**
     * This method returns a MessageStatus
     * 
     * @return  a org.csapi.jr.se.mmm.MailboxMessageStatus value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.MailboxMessageStatus getMessageStatus() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageInfoPropertyName.MMM_MESSAGE_STATUS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.MailboxMessageStatus) _object);
    }

    /**
     * This method sets a MessageStatus
     * 
     * @param value a org.csapi.jr.se.mmm.MailboxMessageStatus value
     */
    public void setMessageStatus(org.csapi.jr.se.mmm.MailboxMessageStatus value) {
        _discriminator = MessageInfoPropertyName.MMM_MESSAGE_STATUS;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MessageInfoPropertyName value 
     */ 
    public void setUndefined(MessageInfoPropertyName discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MessageInfoProperty)) {
            return false;
        } else {
            MessageInfoProperty messageInfoProperty= (MessageInfoProperty)o;
            if(!(this._object.equals(messageInfoProperty._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(messageInfoProperty._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessageInfoProperty

