//Source file: MessageInfoPropertyError.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that identify a message property and the reason why it was not set. 
 * 
 */
public final class MessageInfoPropertyError implements java.io.Serializable {

    private org.csapi.jr.se.mmm.MessageInfoPropertyName messagePropertyName;
    private org.csapi.jr.se.mmm.SetPropertyError error;

    /**
     * Creates a new MessageInfoPropertyError instance.
     */
    public MessageInfoPropertyError () {}

    /**
     * Creates a new MessageInfoPropertyError instance.
     * @param _messagePropertyName   
     * @param _error   
     */
    public MessageInfoPropertyError (org.csapi.jr.se.mmm.MessageInfoPropertyName _messagePropertyName, org.csapi.jr.se.mmm.SetPropertyError _error) {

        this.messagePropertyName = _messagePropertyName;
        this.error = _error;
    }

    /**
     * This method returns a messagePropertyName.
     * 
     * @return a org.csapi.jr.se.mmm.MessageInfoPropertyName value
     */
    public org.csapi.jr.se.mmm.MessageInfoPropertyName getMessagePropertyName() {
        return messagePropertyName;
    }

    /**
     * This method returns a error.
     * 
     * @return a org.csapi.jr.se.mmm.SetPropertyError value
     */
    public org.csapi.jr.se.mmm.SetPropertyError getError() {
        return error;
    }


    /**
     * This method sets a messagePropertyName.
     */ 
    public void setMessagePropertyName(org.csapi.jr.se.mmm.MessageInfoPropertyName messagePropertyName) {
        this.messagePropertyName = messagePropertyName;
    }

    /**
     * This method sets a error.
     */ 
    public void setError(org.csapi.jr.se.mmm.SetPropertyError error) {
        this.error = error;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MessageInfoPropertyError)) {
            return false;
        } 
        MessageInfoPropertyError messageInfoPropertyError = (MessageInfoPropertyError) o;
        if ((this.messagePropertyName != null) && (messageInfoPropertyError.messagePropertyName != null)) {
            if(!(this.messagePropertyName.equals(messageInfoPropertyError.messagePropertyName))) {
                return false;
            }
        }
        if ((this.error != null) && (messageInfoPropertyError.error != null)) {
            if(!(this.error.equals(messageInfoPropertyError.error))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessageInfoPropertyError

