//Source file: MessageInfoPropertyName.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines a specific message information property name.
 *
 */
public final class MessageInfoPropertyName implements java.io.Serializable {

    private int _value;
    private static int _size = 6;
    private static MessageInfoPropertyName[] _array = new MessageInfoPropertyName[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private MessageInfoPropertyName(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * Undefined
     */
    public static final int _MMM_MESSAGE_UNDEFINED =  0;

    /**
     * Undefined
     */
    public static final MessageInfoPropertyName MMM_MESSAGE_UNDEFINED = new MessageInfoPropertyName(_MMM_MESSAGE_UNDEFINED);

    /**
     * Indicates the date created.  The application cannot modify this property.
     */
    public static final int _MMM_MESSAGE_DATE_CREATED =  1;

    /**
     * Indicates the date created.  The application cannot modify this property.
     */
    public static final MessageInfoPropertyName MMM_MESSAGE_DATE_CREATED = new MessageInfoPropertyName(_MMM_MESSAGE_DATE_CREATED);

    /**
     * Indicates the date received.  The application cannot modify this property.
     */
    public static final int _MMM_MESSAGE_DATE_RECEIVED =  2;

    /**
     * Indicates the date received.  The application cannot modify this property.
     */
    public static final MessageInfoPropertyName MMM_MESSAGE_DATE_RECEIVED = new MessageInfoPropertyName(_MMM_MESSAGE_DATE_RECEIVED);

    /**
     * Indicates the date last changed.  The application cannot modify this property.
     */
    public static final int _MMM_MESSAGE_DATE_CHANGED =  3;

    /**
     * Indicates the date last changed.  The application cannot modify this property.
     */
    public static final MessageInfoPropertyName MMM_MESSAGE_DATE_CHANGED = new MessageInfoPropertyName(_MMM_MESSAGE_DATE_CHANGED);

    /**
     * Indicates the size of the message in bytes.  The application cannot modify this property.
     */
    public static final int _MMM_MESSAGE_SIZE =  4;

    /**
     * Indicates the size of the message in bytes.  The application cannot modify this property.
     */
    public static final MessageInfoPropertyName MMM_MESSAGE_SIZE = new MessageInfoPropertyName(_MMM_MESSAGE_SIZE);

    /**
     * The status of the message.  This property can be modified by the application.
     */
    public static final int _MMM_MESSAGE_STATUS =  5;

    /**
     * The status of the message.  This property can be modified by the application.
     */
    public static final MessageInfoPropertyName MMM_MESSAGE_STATUS = new MessageInfoPropertyName(_MMM_MESSAGE_STATUS);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved MessageInfoPropertyName object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the MessageInfoPropertyName object
     */
    public String getValueText() {
        switch (_value) {
            case _MMM_MESSAGE_UNDEFINED:
                return "MMM_MESSAGE_UNDEFINED";
            case _MMM_MESSAGE_DATE_CREATED:
                return "MMM_MESSAGE_DATE_CREATED";
            case _MMM_MESSAGE_DATE_RECEIVED:
                return "MMM_MESSAGE_DATE_RECEIVED";
            case _MMM_MESSAGE_DATE_CHANGED:
                return "MMM_MESSAGE_DATE_CHANGED";
            case _MMM_MESSAGE_SIZE:
                return "MMM_MESSAGE_SIZE";
            case _MMM_MESSAGE_STATUS:
                return "MMM_MESSAGE_STATUS";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 5
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static MessageInfoPropertyName getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MessageInfoPropertyName)) {
            return false;
        }
        MessageInfoPropertyName messageInfoPropertyName = (MessageInfoPropertyName) o; 
        if(!(this.getValue() == messageInfoPropertyName.getValue())) {
            return false;
        }
        if (this.hashCode() != messageInfoPropertyName.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessageInfoPropertyName

