//Source file: MessageReceivedEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the messageReceived() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class MessageReceivedEvent extends java.util.EventObject {

    /**
     * Constructor for the MessageReceivedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public MessageReceivedEvent(java.lang.Object source,
        byte[]                          message,
        org.csapi.jr.se.mmm.MessageHeaderField[] headers) {

        super(source);
      this.message = message;
      this.headers = headers;
 
    }

    byte[]                          message;

    /**
     *  This method is used to retrieve the parameter value of 'message' passed up
     *  from the Gateway in it's call to the messageReceived() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'message' used on creation of this event.
     */
    public byte[] getMessage() {

        return this.message;
    }
       
    org.csapi.jr.se.mmm.MessageHeaderField[] headers;

    /**
     *  This method is used to retrieve the parameter value of 'headers' passed up
     *  from the Gateway in it's call to the messageReceived() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'headers' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessageHeaderField[] getHeaders() {

        return this.headers;
    }
       
}

