//Source file: MessageStatusReportEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the messageStatusReport() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class MessageStatusReportEvent extends java.util.EventObject {

    /**
     * Constructor for the MessageStatusReportEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public MessageStatusReportEvent(java.lang.Object source,
        org.csapi.jr.se.Address destinationAddress,
        int                             deliveryReportType,
        java.lang.String                deliveryReportInfo) {

        super(source);
      this.destinationAddress = destinationAddress;
      this.deliveryReportType = deliveryReportType;
      this.deliveryReportInfo = deliveryReportInfo;
 
    }

    org.csapi.jr.se.Address destinationAddress;

    /**
     *  This method is used to retrieve the parameter value of 'destinationAddress' passed up
     *  from the Gateway in it's call to the messageStatusReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'destinationAddress' used on creation of this event.
     */
    public org.csapi.jr.se.Address getDestinationAddress() {

        return this.destinationAddress;
    }
       
    int                             deliveryReportType;

    /**
     *  This method is used to retrieve the parameter value of 'deliveryReportType' passed up
     *  from the Gateway in it's call to the messageStatusReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'deliveryReportType' used on creation of this event.
     */
    public int getDeliveryReportType() {

        return this.deliveryReportType;
    }
       
    java.lang.String                deliveryReportInfo;

    /**
     *  This method is used to retrieve the parameter value of 'deliveryReportInfo' passed up
     *  from the Gateway in it's call to the messageStatusReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'deliveryReportInfo' used on creation of this event.
     */
    public java.lang.String getDeliveryReportInfo() {

        return this.deliveryReportInfo;
    }
       
}

