//Source file: MessageTreatment.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the specific message treatment which an application requests of the messaging system when sending a message.
 *
 */
public final class MessageTreatment implements java.io.Serializable {

    private MessageTreatmentType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MessageTreatment.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MessageTreatment() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MessageTreatmentType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MessageTreatmentType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a DeliveryReport
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getDeliveryReport() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageTreatmentType.MMM_TREATMENT_REPORT_REQUESTED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a DeliveryReport
     * 
     * @param value a int value
     */
    public void setDeliveryReport(int value) {
        _discriminator = MessageTreatmentType.MMM_TREATMENT_REPORT_REQUESTED;
        _object = new java.lang.Integer(value);
    }

    /**
     * This method returns a BillingID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getBillingID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageTreatmentType.MMM_TREATMENT_BILLING_ID) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a BillingID
     * 
     * @param value a java.lang.String value
     */
    public void setBillingID(java.lang.String value) {
        _discriminator = MessageTreatmentType.MMM_TREATMENT_BILLING_ID;
        _object = value;
    }

    /**
     * This method returns a DeliveryTime
     * 
     * @return  a org.csapi.jr.se.mmm.DeliveryTime value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.DeliveryTime getDeliveryTime() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageTreatmentType.MMM_TREATMENT_DELIVERY_TIME) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.DeliveryTime) _object);
    }

    /**
     * This method sets a DeliveryTime
     * 
     * @param value a org.csapi.jr.se.mmm.DeliveryTime value
     */
    public void setDeliveryTime(org.csapi.jr.se.mmm.DeliveryTime value) {
        _discriminator = MessageTreatmentType.MMM_TREATMENT_DELIVERY_TIME;
        _object = value;
    }

    /**
     * This method returns a ValidityTime
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getValidityTime() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageTreatmentType.MMM_TREATMENT_VALIDITY_TIME) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a ValidityTime
     * 
     * @param value a java.lang.String value
     */
    public void setValidityTime(java.lang.String value) {
        _discriminator = MessageTreatmentType.MMM_TREATMENT_VALIDITY_TIME;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MessageTreatmentType value 
     */ 
    public void setUndefined(MessageTreatmentType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MessageTreatment)) {
            return false;
        } else {
            MessageTreatment messageTreatment= (MessageTreatment)o;
            if(!(this._object.equals(messageTreatment._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(messageTreatment._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessageTreatment

