//Source file: MessagingEventCriteria.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Tagged Choice of Data Elements that specify the criteria for an event notification to be generated.
 *
 */
public final class MessagingEventCriteria implements java.io.Serializable {

    private MessagingEventName _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MessagingEventCriteria.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MessagingEventCriteria() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MessagingEventName value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MessagingEventName getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a EventNewMailboxMessageArrived
     * 
     * @return  a org.csapi.jr.se.mmm.NewMailboxMessageArrivedCriteria value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.NewMailboxMessageArrivedCriteria getEventNewMailboxMessageArrived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_NEW_MAILBOX_MESSAGE_ARRIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.NewMailboxMessageArrivedCriteria) _object);
    }

    /**
     * This method sets a EventNewMailboxMessageArrived
     * 
     * @param value a org.csapi.jr.se.mmm.NewMailboxMessageArrivedCriteria value
     */
    public void setEventNewMailboxMessageArrived(org.csapi.jr.se.mmm.NewMailboxMessageArrivedCriteria value) {
        _discriminator = MessagingEventName.EVENT_MSG_NEW_MAILBOX_MESSAGE_ARRIVED;
        _object = value;
    }

    /**
     * This method returns a EventNewMessageArrived
     * 
     * @return  a org.csapi.jr.se.mmm.NewMessageArrivedCriteria value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.NewMessageArrivedCriteria getEventNewMessageArrived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_NEW_MESSAGE_ARRIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.NewMessageArrivedCriteria) _object);
    }

    /**
     * This method sets a EventNewMessageArrived
     * 
     * @param value a org.csapi.jr.se.mmm.NewMessageArrivedCriteria value
     */
    public void setEventNewMessageArrived(org.csapi.jr.se.mmm.NewMessageArrivedCriteria value) {
        _discriminator = MessagingEventName.EVENT_MSG_NEW_MESSAGE_ARRIVED;
        _object = value;
    }

    /**
     * This method returns a EventNewMessageStatusReportArrived
     * 
     * @return  a org.csapi.jr.se.AddressRange value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.AddressRange getEventNewMessageStatusReportArrived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_STATUS_REPORT_ARRIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.AddressRange) _object);
    }

    /**
     * This method sets a EventNewMessageStatusReportArrived
     * 
     * @param value a org.csapi.jr.se.AddressRange value
     */
    public void setEventNewMessageStatusReportArrived(org.csapi.jr.se.AddressRange value) {
        _discriminator = MessagingEventName.EVENT_MSG_STATUS_REPORT_ARRIVED;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MessagingEventName value 
     */ 
    public void setUndefined(MessagingEventName discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MessagingEventCriteria)) {
            return false;
        } else {
            MessagingEventCriteria messagingEventCriteria= (MessagingEventCriteria)o;
            if(!(this._object.equals(messagingEventCriteria._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(messagingEventCriteria._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessagingEventCriteria

