//Source file: MessagingEventInfo.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Tagged Choice of Data Elements that specify the information returned to the application in an event notification.
 *
 */
public final class MessagingEventInfo implements java.io.Serializable {

    private MessagingEventName _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MessagingEventInfo.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MessagingEventInfo() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MessagingEventName value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MessagingEventName getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a EventNameUndefined
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getEventNameUndefined() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_NAME_UNDEFINED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a EventNameUndefined
     * 
     * @param value a java.lang.String value
     */
    public void setEventNameUndefined(java.lang.String value) {
        _discriminator = MessagingEventName.EVENT_MSG_NAME_UNDEFINED;
        _object = value;
    }

    /**
     * This method returns a EventNewMailboxMessageArrived
     * 
     * @return  a org.csapi.jr.se.mmm.NewMailboxMessageArrivedInfo value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.NewMailboxMessageArrivedInfo getEventNewMailboxMessageArrived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_NEW_MAILBOX_MESSAGE_ARRIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.NewMailboxMessageArrivedInfo) _object);
    }

    /**
     * This method sets a EventNewMailboxMessageArrived
     * 
     * @param value a org.csapi.jr.se.mmm.NewMailboxMessageArrivedInfo value
     */
    public void setEventNewMailboxMessageArrived(org.csapi.jr.se.mmm.NewMailboxMessageArrivedInfo value) {
        _discriminator = MessagingEventName.EVENT_MSG_NEW_MAILBOX_MESSAGE_ARRIVED;
        _object = value;
    }

    /**
     * This method returns a EventNewMessageArrived
     * 
     * @return  a org.csapi.jr.se.mmm.NewMessageArrivedInfo value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.NewMessageArrivedInfo getEventNewMessageArrived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_NEW_MESSAGE_ARRIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.NewMessageArrivedInfo) _object);
    }

    /**
     * This method sets a EventNewMessageArrived
     * 
     * @param value a org.csapi.jr.se.mmm.NewMessageArrivedInfo value
     */
    public void setEventNewMessageArrived(org.csapi.jr.se.mmm.NewMessageArrivedInfo value) {
        _discriminator = MessagingEventName.EVENT_MSG_NEW_MESSAGE_ARRIVED;
        _object = value;
    }

    /**
     * This method returns a EventNewMessageStatusReportArrived
     * 
     * @return  a org.csapi.jr.se.mmm.NewMessageStatusReportArrivedInfo value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.NewMessageStatusReportArrivedInfo getEventNewMessageStatusReportArrived() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessagingEventName.EVENT_MSG_STATUS_REPORT_ARRIVED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.NewMessageStatusReportArrivedInfo) _object);
    }

    /**
     * This method sets a EventNewMessageStatusReportArrived
     * 
     * @param value a org.csapi.jr.se.mmm.NewMessageStatusReportArrivedInfo value
     */
    public void setEventNewMessageStatusReportArrived(org.csapi.jr.se.mmm.NewMessageStatusReportArrivedInfo value) {
        _discriminator = MessagingEventName.EVENT_MSG_STATUS_REPORT_ARRIVED;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MessagingEventName value 
     */ 
    public void setUndefined(MessagingEventName discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MessagingEventInfo)) {
            return false;
        } else {
            MessagingEventInfo messagingEventInfo= (MessagingEventInfo)o;
            if(!(this._object.equals(messagingEventInfo._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(messagingEventInfo._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessagingEventInfo

