//Source file: MessagingNotificationRequestedSetEntry.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that specify a set of requested notifications and an indication whether more notifications can be requested.
 * 
 */
public final class MessagingNotificationRequestedSetEntry implements java.io.Serializable {

    private org.csapi.jr.se.mmm.MessagingNotificationRequested[] messagingNotificationRequestedSet;
    private boolean _final;

    /**
     * Creates a new MessagingNotificationRequestedSetEntry instance.
     */
    public MessagingNotificationRequestedSetEntry () {}

    /**
     * Creates a new MessagingNotificationRequestedSetEntry instance.
     * @param _messagingNotificationRequestedSet   Numbered set of requested notifications.
     * @param _final   Indication whether the set of notifications is the final set (TRUE) or if there are more notifications available (FALSE).
     */
    public MessagingNotificationRequestedSetEntry (org.csapi.jr.se.mmm.MessagingNotificationRequested[] _messagingNotificationRequestedSet, boolean _final) {

        this.messagingNotificationRequestedSet = _messagingNotificationRequestedSet;
        this._final = _final;
    }

    /**
     * This method returns a messagingNotificationRequestedSet.
     * 
     * @return a org.csapi.jr.se.mmm.MessagingNotificationRequested[] value
     */
    public org.csapi.jr.se.mmm.MessagingNotificationRequested[] getMessagingNotificationRequestedSet() {
        return messagingNotificationRequestedSet;
    }

    /**
     * This method returns a _final.
     * 
     * @return a boolean value
     */
    public boolean getFinal() {
        return _final;
    }


    /**
     * This method sets a messagingNotificationRequestedSet.
     */ 
    public void setMessagingNotificationRequestedSet(org.csapi.jr.se.mmm.MessagingNotificationRequested[] messagingNotificationRequestedSet) {
        this.messagingNotificationRequestedSet = messagingNotificationRequestedSet;
    }

    /**
     * This method sets a _final.
     */ 
    public void setFinal(boolean _final) {
        this._final = _final;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MessagingNotificationRequestedSetEntry)) {
            return false;
        } 
        MessagingNotificationRequestedSetEntry messagingNotificationRequestedSetEntry = (MessagingNotificationRequestedSetEntry) o;
        if(!(this._final == messagingNotificationRequestedSetEntry._final)) {
            return false;
        }
        if(!(this.messagingNotificationRequestedSet == messagingNotificationRequestedSetEntry.messagingNotificationRequestedSet))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessagingNotificationRequestedSetEntry

