//Source file: MoveMessage.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a MoveMessage activity object.<BR>
 *
 */
public interface MoveMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the MoveMessage.
     *
     * @return  A reference to the Mailbox responsible for creation of the MoveMessage.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a MoveMessageListener which is interested in events generated by the MoveMessage.
     *
     * @param  moveMessageListener  A reference to the MoveMessageListener which is to be added as
     *        a listener.
     */
    void addMoveMessageListener(org.csapi.jr.se.mmm.MoveMessageListener moveMessageListener);

    /**
     * Removes a MoveMessageListener which is no longer interested events generated by the MoveMessage.
     *
     * @param  moveMessageListener  A reference to the MoveMessageListener which is to be removed as
     *        a listener.
     */
    void removeMoveMessageListener(org.csapi.jr.se.mmm.MoveMessageListener moveMessageListener);

    /**
     * Invokes the moveMessageReq() method on the Parlay Gateway.
     */
    void moveMessageReq(
           java.lang.String                fromFolderID,
           java.lang.String                toFolderID,
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
