//Source file: MultiMediaMessagingManagerListener.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the MultiMediaMessagingManager service object.<BR>
 *
 */
public interface MultiMediaMessagingManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the mailboxTerminated() method on 
    * the callback interface.
    *
    * @param  mailboxTerminatedEvent  Reference to a MailboxTerminatedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMailboxTerminatedEvent(org.csapi.jr.se.mmm.MailboxTerminatedEvent mailboxTerminatedEvent);



   /**
    * Called due to a Gateway initiated call to the notificationsInterrupted() method on 
    * the callback interface.
    *
    * @param  notificationsInterruptedEvent  Reference to a NotificationsInterruptedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onNotificationsInterruptedEvent(org.csapi.jr.se.mmm.NotificationsInterruptedEvent notificationsInterruptedEvent);


   /**
    * Called due to a Gateway initiated call to the notificationsResumed() method on 
    * the callback interface.
    *
    * @param  notificationsResumedEvent  Reference to a NotificationsResumedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onNotificationsResumedEvent(org.csapi.jr.se.mmm.NotificationsResumedEvent notificationsResumedEvent);


   /**
    * Called due to a Gateway initiated call to the multiMediaMessagingTerminated() method on 
    * the callback interface.
    *
    * @param  multiMediaMessagingTerminatedEvent  Reference to a MultiMediaMessagingTerminatedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMultiMediaMessagingTerminatedEvent(org.csapi.jr.se.mmm.MultiMediaMessagingTerminatedEvent multiMediaMessagingTerminatedEvent);


   /**
    * Called due to a Gateway initiated call to the terminateMultipleMailboxes() method on 
    * the callback interface.
    *
    * @param  terminateMultipleMailboxesEvent  Reference to a TerminateMultipleMailboxesEvent event 
    *        emmited from the impl or activity object. 
    */
    void onTerminateMultipleMailboxesEvent(org.csapi.jr.se.mmm.TerminateMultipleMailboxesEvent terminateMultipleMailboxesEvent);


   /**
    * Called due to a Gateway initiated call to the terminateMultipleMultiMediaMessagingSessions() method on 
    * the callback interface.
    *
    * @param  terminateMultipleMultiMediaMessagingSessionsEvent  Reference to a TerminateMultipleMultiMediaMessagingSessionsEvent event 
    *        emmited from the impl or activity object. 
    */
    void onTerminateMultipleMultiMediaMessagingSessionsEvent(org.csapi.jr.se.mmm.TerminateMultipleMultiMediaMessagingSessionsEvent terminateMultipleMultiMediaMessagingSessionsEvent);

}

