//Source file: PutMessageResEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the putMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class PutMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the PutMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public PutMessageResEvent(java.lang.Object source,
        java.lang.String                messageID) {

        super(source);
      this.messageID = messageID;
 
    }

    java.lang.String                messageID;

    /**
     *  This method is used to retrieve the parameter value of 'messageID' passed up
     *  from the Gateway in it's call to the putMessageRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageID' used on creation of this event.
     */
    public java.lang.String getMessageID() {

        return this.messageID;
    }
       
}

