//Source file: ReportNotificationEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reportNotification() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ReportNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the ReportNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReportNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.MessagingEventInfo[] eventInfo) {

        super(source);
      this.eventInfo = eventInfo;
 
    }

    org.csapi.jr.se.mmm.MessagingEventInfo[] eventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventInfo' passed up
     *  from the Gateway in it's call to the reportNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventInfo' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessagingEventInfo[] getEventInfo() {

        return this.eventInfo;
    }
       
}

