//Source file: SendMessageWithNotifyListener.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the SendMessageWithNotify activity object.<BR>
 *
 */
public interface SendMessageWithNotifyListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the sendMessageWithNotifyRes() method on 
    * the callback interface.

    *
    * @param  sendMessageWithNotifyResEvent  Reference to a SendMessageWithNotifyResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSendMessageWithNotifyResEvent(org.csapi.jr.se.mmm.SendMessageWithNotifyResEvent sendMessageWithNotifyResEvent);


   /**
    * Called due to a Gateway initiated call to the sendMessageWithNotifyErr() method on 
    * the callback interface.

    *
    * @param  sendMessageWithNotifyErrEvent  Reference to a SendMessageWithNotifyErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSendMessageWithNotifyErrEvent(org.csapi.jr.se.mmm.SendMessageWithNotifyErrEvent sendMessageWithNotifyErrEvent);


}
