//Source file: TerminateMultipleMultiMediaMessagingSessionsEvent.java
//Date: March 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.5.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the terminateMultipleMultiMediaMessagingSessions() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TerminateMultipleMultiMediaMessagingSessionsEvent extends java.util.EventObject {

    /**
     * Constructor for the TerminateMultipleMultiMediaMessagingSessionsEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TerminateMultipleMultiMediaMessagingSessionsEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.MultiMediaMessaging[] multiMediaMessagingSet) {

        super(source);
      this.multiMediaMessagingSet = multiMediaMessagingSet;
 
    }

    org.csapi.jr.se.mmm.MultiMediaMessaging[] multiMediaMessagingSet;

    /**
     *  This method is used to retrieve the parameter value of 'multiMediaMessagingSet' passed up
     *  from the Gateway in it's call to the terminateMultipleMultiMediaMessagingSessions() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'multiMediaMessagingSet' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MultiMediaMessaging[] getMultiMediaMessagingSet() {

        return this.multiMediaMessagingSet;
    }
       
}

